
Installer - Bug #27876

katello-certs-check should display an error if there is a passphrase protected key file

09/17/2019 06:32 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: foreman-installer script   

Target version: 1.24.0   

Difficulty: easy Fixed in Releases: 1.24.0

Triaged: No Found in Releases: 1.22.2

Bugzilla link: 1747512 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/393

  

Description

katello-certs-check should display a warning if there is a passphrase protected

Version-Release number of selected component (if applicable):

satellite-6.6.0-5.beta.el7sat.noarch

foreman-installer-katello-1.22.0.8-1.el7sat.noarch

How reproducible:

Always

Steps to Reproduce:

1. Create a key with password protected

2. # openssl genrsa -aes128 -passout pass:foobar -out /root/sat_cert/satellite_cert_key.pem  4096

3. For verification use katello-certs-check

If you use a passphrase some of the services will not start:

Aug 30 23:08:44 vm250-205.gsslab.pnq2.redhat.com smart_proxy_dynflow_core

23103

:

/opt/theforeman/tfm/root/usr/share/gems/gems/smart_proxy_dynflow_core-0.2.2/lib/smart_proxy_dynflow_core/launcher.rb:124:in

`initialize': Neither PUB key nor PRIV key: nested asn1 error (OpenSSL::PKey::RSAError)

Associated revisions

Revision 8987d032 - 10/28/2019 10:37 PM - Chris Roberts

Fixes #27876 - Add check for passphrase on key

History

#1 - 09/17/2019 06:32 PM - Chris Roberts

- Target version set to 1.24.0

#2 - 09/17/2019 06:37 PM - Chris Roberts

- File ourCA.crt added

- File privkey.pem added

- File server.crt added

#3 - 09/17/2019 06:38 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/393 added

#4 - 09/24/2019 04:15 PM - Chris Roberts

Pomegranate is the password for the private key
#5 - 10/28/2019 10:37 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#6 - 10/28/2019 11:01 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset installer|8987d032e6093851839ab1292596e5d4537d9004.

#7 - 11/25/2019 09:05 AM - Tomer Brisker

- Fixed in Releases 1.24.0 added

- Fixed in Releases deleted (2.0.0)

Files

ourCA.crt 1.34 KB 09/17/2019 Chris Roberts

privkey.pem 1.79 KB 09/17/2019 Chris Roberts

server.crt 1.1 KB 09/17/2019 Chris Roberts
